Subject: Re: bug#40572: installer networking: Connman detects no technologies on Acer Aspire

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Sun, 12 Apr 2020 17:14:54 +0200

On Sun, Apr 12, 2020 at 04:24:41PM +0200, Mathieu Othacehe wrote:
> 
> Hello Florian,
> 
> Thanks for the analysis!
> 
> > Error getting peers: The name net.connman was not provided by any .service filesError getting technologies: The name net.connman was not provided by any .service files
> > connmanctl>
> 
> This is the kind of error you get when connmanctl cannot reach connmand
> (its daemon). Could you try to see if its around or why it died, maybe
> in the system logs?
> 
> Mathieu

My old and slow Uniwill has the same issue, so I look there.  I wait a
medium time for the installer to start.  I continue until the error.
I press <F3> and enter connmanctl and get the same error.

ps -Af | less

shows

/gnu/store/…-connman-1.38/sbin/connman-vpnd -n

running.  It is the only process whose name contains connman.

I run “herd status” (output attached), which I should have checked
earlier.  It shows networking and wpa-supplicant not running.

I also attach dmesg and /var/log/messages.  But I do not see the
reason yet.  I keep looking.

Regards,
Florian